ApiManagementV1WorkspacesWorkspaceidApplicationsAppidEndpoints
Create an endpoint for an application
AuthorizationBearer <token>
Management token (nhm_...)
In: header
Path Parameters
appIdstring
urlstring
Format
uridescription?string
authUsername?string
authPassword?string
environmentId?string
Optional. Environment public id (e.g. env_abc123) to scope this endpoint. If omitted, the workspace's default environment is used.
Length
1 <= lengthResponse Body
curl -X POST "https://loading/management/v1/workspaces/{workspaceId}/applications/string/endpoints" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com" }'{
"error": {
"code": "validation_error",
"message": "Webhook URL must use HTTPS"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid authorization header"
}
}{
"error": {
"code": "token_disabled",
"message": "Management token is disabled"
}
}{
"error": {
"code": "not_found",
"message": "Application not found"
}
}List endpoints for an application
Previous Page
Create a portal session for an application
Creates a one-time code that can be exchanged for a portal session token. Optional metadata (max 10 string key-value pairs, no nested objects) is attached to all endpoints created during the session — useful for tracking which of your users created the endpoint.